Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## calhoun.analysis.crf.io
Class OutputHandlerGeneCallStatsInterval29

    java.lang.Object
      calhoun.analysis.crf.io.OutputHandlerGeneCallStats
          calhoun.analysis.crf.io.OutputHandlerGeneCallStatsInterval29

All Implemented Interfaces:
  OutputHandler, java.io.Serializable

    public class OutputHandlerGeneCallStatsInterval29

extends OutputHandlerGeneCallStats

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class calhoun.analysis.crf.io.OutputHandlerGeneCallStats
`OutputHandlerGeneCallStats.Results`

Constructor Summary
`OutputHandlerGeneCallStatsInterval29()`

Method Summary
`void` | `writeTestOutput(InputSequence<?> sequence, int[] truePath, int[] hiddenStates)` Writes out a set of hidden states compared with a known true path.

Methods inherited from class calhoun.analysis.crf.io.OutputHandlerGeneCallStats
`calcResultIncrement, getAccuracy, getInputHandler, getLabeled, getManager, getViterbiScores, isWriteTrainingData, loglikelihoodIncrement, outputComplete, setInputHandler, setManager, setOutputLocation, setWriteTrainingData, toString, writeGTF, writeOutput`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### OutputHandlerGeneCallStatsInterval29

    public OutputHandlerGeneCallStatsInterval29()

Method Detail

### writeTestOutput

    public void writeTestOutput(InputSequence<?> sequence,
                                int[] truePath,
                                int[] hiddenStates)
                         throws java.io.IOException

  Description copied from interface: `OutputHandler`
  Writes out a set of hidden states compared with a known true path. The location will have been specified previously with `OutputHandler.setOutputLocation(java.lang.String)`

  Specified by:
    `writeTestOutput` in interface `OutputHandler`
  Overrides:
    `writeTestOutput` in class `OutputHandlerGeneCallStats`
  Parameters:
    `sequence` - the input sequence on which predictions were made
    `truePath` - an array of hidden states representing the true path.
    `hiddenStates` - an array of state indices for the predicted hidden states.
  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD